Difference between revisions of "FLOP:Improve mesa handling"

From Funtoo
Jump to: navigation, search
(Created page with "{{FLOP |Created on=2018/05/16 |Summary=Improve handling of mesa and related packages to allow installation of multiple versions concurrently and selection between them. Create...")
(No difference)

Revision as of 00:13, May 17, 2018

Created on
2018/05/16
Original Author(s)
TemptorSent
Status

Funtoo Linux Optimization Proposal: Improve mesa handling

Improve handling of mesa and related packages to allow installation of multiple versions concurrently and selection between them. Create mesa-kit with one or more branches (-prime, -beta, -dev, -bleed) for each version in the tree.

Currently, mesa is not slotted and it installs links to drivers in locations that conflict with some vendor drivers (amdgpu-pro, specifically). To make managing mesa versions cleaner, I propose we extend the current eselect-mesa tool (or create a new tool) to also manage links across versions, not just drivers.

Conflicts appear to occur in: /usr/lib{32,64}/dri which currently contains symbolic links to the actual .so drivers in ../mesa -- adjusting this link and setting proper library paths should be most of the work needed.